Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchStormControl({
networkId: "string",
});
export const merakiNetworksSwitchStormControlExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_storm_control(network_id="string")
pulumi.export("merakiNetworksSwitchStormControlExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchStormControl(ctx, &networks.LookupSwitchStormControlArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchStormControlExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchStormControl.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchStormControlExample"] = example.Apply(getSwitchStormControlResult => getSwitchStormControlResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchStormControlArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchStormControl(GetSwitchStormControlArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchStormControlExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchStormControl
arguments:
networkId: string
outputs:
merakiNetworksSwitchStormControlExample: ${example.item}
Using getSwitchStormControl
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchStormControl(args: GetSwitchStormControlArgs, opts?: InvokeOptions): Promise<GetSwitchStormControlResult>
function getSwitchStormControlOutput(args: GetSwitchStormControlOutputArgs, opts?: InvokeOptions): Output<GetSwitchStormControlResult>def get_switch_storm_control(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchStormControlResult
def get_switch_storm_control_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchStormControlResult]func LookupSwitchStormControl(ctx *Context, args *LookupSwitchStormControlArgs, opts ...InvokeOption) (*LookupSwitchStormControlResult, error)
func LookupSwitchStormControlOutput(ctx *Context, args *LookupSwitchStormControlOutputArgs, opts ...InvokeOption) LookupSwitchStormControlResultOutput> Note: This function is named LookupSwitchStormControl in the Go SDK.
public static class GetSwitchStormControl
{
public static Task<GetSwitchStormControlResult> InvokeAsync(GetSwitchStormControlArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchStormControlResult> Invoke(GetSwitchStormControlInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchStormControlResult> getSwitchStormControl(GetSwitchStormControlArgs args, InvokeOptions options)
public static Output<GetSwitchStormControlResult> getSwitchStormControl(GetSwitchStormControlArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchStormControl:getSwitchStormControl
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchStormControl Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Storm Control Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Storm Control Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Storm Control Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Storm Control Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Storm Control Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchStormControlItem
- Broadcast
Threshold int - Broadcast threshold.
- Multicast
Threshold int - Multicast threshold.
- Unknown
Unicast intThreshold - Unknown Unicast threshold.
- Broadcast
Threshold int - Broadcast threshold.
- Multicast
Threshold int - Multicast threshold.
- Unknown
Unicast intThreshold - Unknown Unicast threshold.
- broadcast
Threshold Integer - Broadcast threshold.
- multicast
Threshold Integer - Multicast threshold.
- unknown
Unicast IntegerThreshold - Unknown Unicast threshold.
- broadcast
Threshold number - Broadcast threshold.
- multicast
Threshold number - Multicast threshold.
- unknown
Unicast numberThreshold - Unknown Unicast threshold.
- broadcast_
threshold int - Broadcast threshold.
- multicast_
threshold int - Multicast threshold.
- unknown_
unicast_ intthreshold - Unknown Unicast threshold.
- broadcast
Threshold Number - Broadcast threshold.
- multicast
Threshold Number - Multicast threshold.
- unknown
Unicast NumberThreshold - Unknown Unicast threshold.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
